import java.io.IOException;
import java.io.PrintWriter;
import java.math.BigInteger;
import java.util.Random;

public class gen_grants {
	public static void main(String[] args) throws IOException {
		Random rand = new Random(17824532665L);
		PrintWriter out;
		for (int test = 1; test <= 99; test++) {
			out = new PrintWriter((test < 10 ? "0" : "") + test);
			switch (test) {
			case 1:
				out.println("3 2 " + next(566));
				break;
			case 2:
				out.println("5 2 " + next(666));
				break;
			case 3:
				out.println("1 1 5");
				break;
			case 4:
				out.println("2 1 2");
				break;
			case 5:
				out.println("2 2 3");
				break;
			case 6:
				out.println("3 1 7");
				break;
			case 7:
				out.println("3 3 13");
				break;
			case 8:
				out.println("4 1 " + next(500));
				break;
			case 9:
				out.println("4 2 " + next(999999000 + rand.nextInt(950)));
				break;
			case 10:
				out.println("5 3 23");
				break;
			case 11:
				out.println("20 20 " + next(20));
				break;
			case 12:
				out.println("20 10 " + next(2010));
				break;
			case 13:
				out.println("19 10 " + next(999999000 + rand.nextInt(950)));
				break;
			case 14:
				out.println("20 5 " + next(1208479));
				break;
			case 15:
				out.println("19 6 " + next(19869129));
				break;
			case 16:
				out.println("20 6 " + next(5000));
				break;
			case 17:
				out.println("1000 420 " + next(999999000 + rand.nextInt(950)));
				break;
			case 18:
				out.println("566 3 " + next(255));
				break;
			case 19:
				out.println("998 499 239017");
				break;
			case 20:
				out.println("666 140 " + next(9829));
				break;
			case 21:
				out.println("100000 50000 " + next(9829));
				break;
			case 22:
				out.println("100000 25000 " + next(928795));
				break;
			case 23:
				out.println("100000 25001 "
						+ next(999999000 + rand.nextInt(950)));
				break;
			case 24:
				out.println("99999 50000 " + next(1987615));
				break;
			case 25:
				out.println("100000 10 " + next(9812734));
				break;

			default:
				int n = 1 + rand.nextInt(100000);
				int k = 1 + rand.nextInt(n);
				if (rand.nextInt(10) > 0) {
					k = 1 + rand.nextInt(n / 2);
				}
				int m = next(1 + rand.nextInt(1000000000));
				while (m > 1000000000) {
					m = next(1 + rand.nextInt(1000000000));
				}
				if (k > 1000 && rand.nextInt(5) < 2) {
					while (m > k) {
						m = next(1 + rand.nextInt(k));
					}
				}
				out.println(n + " " + k + " " + m);
			}
			out.close();
		}
	}

	static int next(int x) {
		return BigInteger.valueOf(x).nextProbablePrime().intValue();
	}
}
